%define url_ver %(echo %version|sed -e 's/\\./-/g')
%define Werror_cflags %nil

Name:		simutrans
Version:	121.0
Release:	%mkrel 1
Summary:	Transport and Economic Simulation Game
License:	Artistic
Group:		Games/Strategy
Url:		http://www.simutrans.com/
Source0:	http://downloads.sourceforge.net/simutrans/simutrans-src-%{url_ver}.zip
Source1:	%{name}.desktop
Patch0:		config.patch
Patch1:		path-for-game-data.patch
Patch2:		settings-folder.patch
Requires:	simutrans-pak
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	dos2unix

%description
Simutrans is a freeware transportation simulator that runs under
Windows, Linux, and a few other operating systems (Apple Macintosh
with Intel processors, BEOS). It's similar to Transport Tycoon,
Transport Tycoon Deluxe and Transport Giant.

You take on the role of operating a transportation company, and your
goal is to get goods of various kinds, as well as passengers and mail,
from one place to the next.

Don't be fooled by the tile-based graphics - this is a very complex
game, and it is constantly evolving, with new features being added. It
is a living game, and consistently being made better and better.

%prep
%setup -qc %{name}-%{version}
# Some files are distributed in DOS format
find . -type f -exec dos2unix -q '{}' \;
cp config.template config.default
echo "CFLAGS=%optflags" >> config.default
echo "LDFLAGS=%ldflags" >> config.default
convert simutrans.ico -alpha on simutrans.png

%autopatch -p1

%build
echo "CFLAGS = %{optflags}" >> config.default
echo "LDFLAGS = %{ldflags}" >> config.default
%make_build

%install
install -Dm755 build/default/sim %{buildroot}%{_gamesbindir}/%{name}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -fr %{name}/{config,font,music,text,themes} %{buildroot}%{_gamesdatadir}/%{name}/

install -Dm644 simutrans.png %{buildroot}%{_iconsdir}/simutrans.png
install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/simutrans.desktop

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/simutrans
%{_iconsdir}/simutrans.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Jul 03 2020 joequant <joequant> 121.0-1.mga8
+ Revision: 1601641
- update to 0.121

* Fri Feb 14 2020 umeabot <umeabot> 120.4-2.mga8
+ Revision: 1520252
- Mageia 8 Mass Rebuild

* Sat Nov 17 2018 daviddavid <daviddavid> 120.4-1.mga7
+ Revision: 1330318
- new version: 120.4
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 120.2.2-1.mga7
+ Revision: 1221449
- Update to version 120.2.2
- Rediffed patches

* Fri Feb 12 2016 umeabot <umeabot> 120.0.1-2.mga6
+ Revision: 958871
- Mageia 6 Mass Rebuild

* Tue Sep 22 2015 fwang <fwang> 120.0.1-1.mga6
+ Revision: 882170
- install correct dir
- sync with archlinux

* Wed Oct 15 2014 umeabot <umeabot> 0.112.3-4.mga5
+ Revision: 738821
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.112.3-3.mga5
+ Revision: 689166
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.112.3-2.mga4
+ Revision: 525539
- Mageia 4 Mass Rebuild

* Fri May 31 2013 fwang <fwang> 0.112.3-1.mga4
+ Revision: 433582
- update file list
- new version 0.112.3

* Mon Jan 14 2013 umeabot <umeabot> 0.112.0-2.mga3
+ Revision: 382066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 0.112.0-1.mga3
+ Revision: 316135
- do not own bindir
+ joequant <joequant>
- clean up simutrans.spec to use mageia cflags/lflags and add security patch
- add full url to spec
  remove unnecessary cleans
- imported package simutrans

